com.hazelcast.jet.spring

## Class JetInstanceBeanDefinitionParser

- java.lang.Object
- - org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
  - - com.hazelcast.spring.AbstractHazelcastBeanDefinitionParser
    - - com.hazelcast.jet.spring.JetInstanceBeanDefinitionParser

- All Implemented Interfaces:
    org.springframework.beans.factory.xml.BeanDefinitionParser

      public class JetInstanceBeanDefinitionParser
      extends AbstractHazelcastBeanDefinitionParser

  BeanDefinitionParser for Hazelcast Jet Instance Configuration.

  Sample Spring XML for Hazelcast Jet Instance:

       <jet:instance id="jet-instance">
            <hz:config>
                <hz:spring-aware/>
                <hz:group name="jet" password="jet-pass"/>
                <hz:network port="5701" port-auto-increment="false">
                    <hz:join>
                        <hz:multicast enabled="false"/>
                         <hz:tcp-ip enabled="true">
                            <hz:members>10.10.1.2, 10.10.1.3</hz:members>
                         </hz:tcp-ip>
                    </hz:join>
                </hz:network>
                <hz:map name="map" backup-count="2" max-size="0" eviction-percentage="30"
                    read-backup-data="true" eviction-policy="NONE"
                merge-policy="com.hazelcast.map.merge.PassThroughMergePolicy"/>
            </hz:config>
       </jet:instance>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.hazelcast.spring.AbstractHazelcastBeanDefinitionParser

      `AbstractHazelcastBeanDefinitionParser.SpringXmlBuilderHelper`

  - ### Field Summary

    - ### Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

      `ID_ATTRIBUTE, NAME_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JetInstanceBeanDefinitionParser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.springframework.beans.factory.support.AbstractBeanDefinition` | `parseInternal(Element element, org.springframework.beans.factory.xml.ParserContext parserContext)`

    - ### Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

      `parse, postProcessComponentDefinition, registerBeanDefinition, resolveId, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback, shouldParseNameAsAliases`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JetInstanceBeanDefinitionParser

          public JetInstanceBeanDefinitionParser()

  - ### Method Detail

    - #### parseInternal

          protected org.springframework.beans.factory.support.AbstractBeanDefinition parseInternal(Element element,
                                                                                                   org.springframework.beans.factory.xml.ParserContext parserContext)

      Specified by:
        `parseInternal` in class `org.springframework.beans.factory.xml.AbstractBeanDefinitionParser`

Copyright © 2018. All rights reserved.